Bug 863659 - SELinux is preventing /usr/sbin/tmpwatch from 'read' accesses on the directory /var/cache/man/local/cat9.
SELinux is preventing /usr/sbin/tmpwatch from 'read' accesses on the director...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-06 07:39 EDT by Joachim Frieben
Modified: 2012-12-10 16:39 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-10 16:39:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-06 07:39 EDT, Joachim Frieben
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-06 07:39 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2012-10-06 07:39:11 EDT
Additional info:
libreport version: 2.0.15
kernel:         3.6.0-3.fc18.x86_64

:SELinux is preventing /usr/sbin/tmpwatch from 'read' accesses on the directory /var/cache/man/local/cat9.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that tmpwatch should be allowed read access on the cat9 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep tmpwatch /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                system_u:system_r:tmpreaper_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:mandb_cache_t:s0
:Target Objects                /var/cache/man/local/cat9 [ dir ]
:Source                        tmpwatch
:Source Path                   /usr/sbin/tmpwatch
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           tmpwatch-2.11-2.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-32.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-3.fc18.x86_64 #1 SMP Wed Oct
:                              3 13:29:15 UTC 2012 x86_64 x86_64
:Alert Count                   18
:First Seen                    2012-10-06 13:14:04 CEST
:Last Seen                     2012-10-06 13:14:04 CEST
:Local ID                      6b652776-b4be-492d-9abc-fc2e5ec0c8f2
:Raw Audit Messages
:type=AVC msg=audit(1349522044.209:78): avc:  denied  { read } for  pid=9943 comm="tmpwatch" name="cat9" dev="dm-3" ino=414 scontext=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mandb_cache_t:s0 tclass=dir
:type=SYSCALL msg=audit(1349522044.209:78): arch=x86_64 syscall=openat success=no exit=EACCES a0=ffffffffffffff9c a1=404923 a2=90800 a3=0 items=0 ppid=9920 pid=9943 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=3 comm=tmpwatch exe=/usr/sbin/tmpwatch subj=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 key=(null)
:Hash: tmpwatch,tmpreaper_t,mandb_cache_t,dir,read
:#============= tmpreaper_t ==============
:allow tmpreaper_t mandb_cache_t:dir read;
:audit2allow -R
:#============= tmpreaper_t ==============
:allow tmpreaper_t mandb_cache_t:dir read;
Comment 1 Joachim Frieben 2012-10-06 07:39:14 EDT
Created attachment 622697 [details]
File: type
Comment 2 Joachim Frieben 2012-10-06 07:39:16 EDT
Created attachment 622698 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-10-06 08:02:09 EDT
Fixed in selinux-policy-3.11.1-33.fc18.noarch
Comment 4 Fedora Update System 2012-10-11 05:03:40 EDT
selinux-policy-3.11.1-36.fc18 has been submitted as an update for Fedora 18.
Comment 5 Fedora Update System 2012-10-11 13:22:19 EDT
Package selinux-policy-3.11.1-36.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-36.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.